Create a PTR record for an SBM server

POST/v1/hosts/sbm_servers/{server_id}/ptr_records

To create a new PTR record, perform a POST request to /v1/hosts/sbm_servers/{server_id}/ptr_records. A target server has to be specified in the path parameter; the record details are sent within a request body.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

server_id*string

A unique identifier of an SBM server. To get SBM server IDs, use a request to list all hosts and filter results by the sbm_server type.

Request Body

application/json

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/hosts/sbm_servers/Jrb22WbW/ptr_records" \  -H "Content-Type: application/json" \  -d '{    "ip": "100.0.0.4",    "domain": "example-1356.com",    "ttl": 300,    "priority": 3  }'
{  "id": "lNbWJayg",  "ip": "100.0.0.4",  "domain": "example-1356.com",  "priority": 3,  "ttl": 300}
{  "message": "Host is not ready",  "code": "PRECONDITION_FAILED"}
{  "message": "Validation failed",  "code": "UNPROCESSABLE_ENTITY",  "errors": {    "ip": "address doesn't belong to host"  }}